﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=11.5
@EndOfDesignText@
Sub Process_Globals
	Private fm As FirebaseMessaging
End Sub

Sub Service_Create
	fm.Initialize("fm")
End Sub

Public Sub SubscribeToTopics
	fm.SubscribeToTopic("agritrax") 'you can subscribe to more topics
End Sub

Sub Service_Start (StartingIntent As Intent)
	If StartingIntent.IsInitialized Then fm.HandleIntent(StartingIntent)
	Sleep(0)
	Service.StopAutomaticForeground 'remove if not using B4A v8+.
End Sub

Sub fm_MessageArrived (Message As RemoteMessage)
	Log("Message arrived")
	Log($"Message data: ${Message.GetData}"$)
	Dim n As Notification
	n.Initialize
	n.Icon = "icon"
	n.SetInfo(Message.GetData.Get("title"), Message.GetData.Get("body"), Main)
	n.Notify(1)
	
	Dim data As String = Message.GetData.Get("body")
	Dim arrNumString() As String = Regex.Split(",",data)
	Dim myLat As String = (arrNumString(0))  'displays 1
	Dim myLon As String = (arrNumString(1))  'displays 2
	Dim myVolts As String = (arrNumString(2)) 'displays 3
	Dim myID As String = (arrNumString(3)) 'displays4

	myVolts = (myVolts / 10)
	
	Log(myLat)
	Log(myLon)
	Log(myVolts)
	Log(myID)
	
End Sub

Sub Service_Destroy

End Sub
